POST
/
api
/
v1
/
custody
/
confirmations
Record custody confirmation
curl --request POST \
  --url http://34.170.194.254:8000/api/v1/custody/confirmations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message_id": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "event_type": "<string>",
  "address": "<string>",
  "asset": "<string>",
  "custody_account_id": "<string>",
  "quantity": 123,
  "external_metadata": {},
  "idempotency_key": "<string>"
}
'
{
  "custody_confirmation_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Custody Confirmation Request schema.

message_id
string
required

Custody provider webhook message id

timestamp
string<date-time>
required

Webhook event timestamp

event_type
string
required

Webhook event type

address
string
required

Destination custody address

asset
string
required

Asset symbol/reference

custody_account_id
string
required

Custody account identifier

quantity
required

Transferred quantity

external_metadata
External Metadata · object

Provider-specific metadata

idempotency_key
string | null

Optional idempotency key

Response

Custody confirmation recorded

Custody Confirmation Response schema.

custody_confirmation_id
string
required

Recorded custody confirmation identifier